Сайт | Скачать | Видео | Wiki

Автор Тема: Софт для LupuRus (Puppy 5.0-5.1)  (Прочитано 106875 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Lego

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 898
  • Репутация: +60/-0
Софт для LupuRus (Puppy 5.0-5.1)
« : 27 Май 2010, 16:50:01 »
Немного программок для LupuRus:
Интернет мессенджер Pidgin-2.6.6 (интерфейс русский)
ftp://ibiblio.org/pub/linux/distributions/puppyrus/puppyrus-510/pet/pidgin-2.6.6.pet

SMPlayer-0.6.9, довольно приятный медиаплеер
ftp://ibiblio.org/pub/linux/distributions/puppyrus/puppyrus-510/pet/smplayer_0.6.9.pet (MPlayer должен быть установлен! В Lupurus -510 он есть)

Qmmp-0.3.1, достаточно продвинутый проигрыватель аудио
ftp://ibiblio.org/pub/linux/distributions/puppyrus/puppyrus-510/pet/qmmp-0.3.1.pet

Qutim-0.2, если Pidgin не устроил
ftp://ibiblio.org/pub/linux/distributions/puppyrus/puppyrus-510/pet/qutim-0.2.0.pet

Т.к. кроме Pidgin все остальные проги используют QT4, минимальный набор этих библиотек, включая qt4-config я собрал в отдельный пакет. В пакетах с программами библиотек с qt4 нет!
ftp://ibiblio.org/pub/linux/distributions/puppyrus/puppyrus-510/pet/qt4_4.6.2.pet

Медиаплеер VLC-1.0.6
http://narod.ru/disk/21340823000/vlc-1.0.6.pet.html
JAG2 - незатейливая игрушка с приятной графикой.
http://narod.ru/disk/21248778000/jag-2.0.pet.html
Тоже на QT4, так-же зависит от libSDL-1.2
http://narod.ru/disk/21248860000/libSDL-1.2.pet.html
Чтобы не нагребать в пакет разных аудиолиб, в системе должен бать установлен медиаплеер. Мне хватило SMplayer.

Qbittorrent-2.2.5 - торрент-клиент, тоже привязан к QT4.
ftp://ibiblio.org/pub/linux/distributions/puppyrus/puppyrus-510/pet/qbittorrent-2.2.5.pet

Cinecutie-1.0 , видеомонтажка, созданная то ли на основе, то ли по "мотивам" Cinelerra, от родительницы отличает умение внятно отображать кириллицу в названиях папок и файлов. Интерфейс русский.
http://narod.ru/disk/21334846000/cinecutie-1.0.pet.html

Gimp-2.7 - ftp://ibiblio.org/pub/linux/distributions/puppyrus/puppyrus-510/pet/gimp-2.7.pet
Зависит от libbabl-0.1.0, libgegl-0.1.0
ftp://ibiblio.org/pub/linux/distributions/puppyrus/puppyrus-510/lib/libbabl-0.1-0.pet
ftp://ibiblio.org/pub/linux/distributions/puppyrus/puppyrus-510/lib/libgegl-0.1-0.pet

DjView4 - просмотровщик формата djview. Если обратили внимание на мою привязанность к кьютовым приложениям, то.... Правильно, для работы требуется QT4.
ftp://ibiblio.org/pub/linux/distributions/puppyrus/puppyrus-510/pet/djview4.pet

DoubleCommander-0.4.6 - двухпанельный файловый менеджер схожий (внешне) с Total Commander. Научить бы его ещё всему тому, что должен делать.
http://narod.ru/disk/21367551000/DoubleCommander-0.4.6.pet.html
« Последнее редактирование: 25 Декабрь 2010, 03:06:26 от Lego »
AMD Phenom 9500 Quad-Core, GF-8600, 2gb RAM
Asus Eee PC-901 (Intel Atom N270, 1Gb RAM, 12Gb SSD)
Puppyrus-13.12-xfce-4.12

Оффлайн lohmat

  • Пользователь
  • **
  • Сообщений: 29
  • Репутация: +0/-0
Re: Софт для LupuRus
« Ответ #1 : 31 Май 2010, 06:45:52 »
Немного программок для LupuRus:
За труды спасибо!
А кто-нибудь ставил пакеты для Bluetooth? Если да, то какие именно, а то что-то под Lucid Puppy нигде найти не могу...
+Хотелось бы какую-нибудь читалку fb2 и djvu(или плагин для браузера) :)

PS
Собрал FBreader из deb пакетов c www.fbreader.org
fbreader-0.12.10.pet
« Последнее редактирование: 31 Май 2010, 08:35:21 от lohmat »

Оффлайн lohmat

  • Пользователь
  • **
  • Сообщений: 29
  • Репутация: +0/-0
Re: Софт для LupuRus
« Ответ #2 : 31 Май 2010, 08:51:38 »
Интернет мессенджер Pidgin-2.6.6 (интерфейс русский)
http://narod.ru/disk/21248262000/pidgin-2.6.6.pet.html
Установил, ICQ работает, а GT сообщает, что SSL недоступно, библиотеки какие-то нужны?

Оффлайн Lego

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 898
  • Репутация: +60/-0
Re: Софт для LupuRus
« Ответ #3 : 31 Май 2010, 09:33:43 »
Честно говоря - не знаю. Может в настройках аккаунта поиграть настройками? Снять там какую галку, или наоборот поставить?
AMD Phenom 9500 Quad-Core, GF-8600, 2gb RAM
Asus Eee PC-901 (Intel Atom N270, 1Gb RAM, 12Gb SSD)
Puppyrus-13.12-xfce-4.12

Оффлайн lohmat

  • Пользователь
  • **
  • Сообщений: 29
  • Репутация: +0/-0
Re: Софт для LupuRus
« Ответ #4 : 31 Май 2010, 10:22:55 »
Честно говоря - не знаю. Может в настройках аккаунта поиграть настройками? Снять там какую галку, или наоборот поставить?

ICQ с отключенным SSL работает, а вот GT работает только с шифрованием, при подключении ошибку пишет: "Сервер требует TLS/SSL, но поддержка TLS/SSL не была найдена." Все-таки, видимо библиотек не хватает...
----------------
Попробовал запустить с опцией --debug, вот кусок лога:
12:48:45) plugins: probing /usr/lib/purple-2/libzephyr.so
(12:48:45) plugins: /usr/lib/purple-2/libzephyr.so is not loadable: libzephyr.so.4: cannot open shared object file: No such file or directory
(12:48:45) plugins: probing /usr/lib/purple-2/ssl-nss.so
(12:48:45) plugins: /usr/lib/purple-2/ssl-nss.so is not loadable: libnss3.so: cannot open shared object file: No such file or directory
(12:48:45) plugins: probing /usr/lib/purple-2/libmyspace.so
(12:48:45) plugins: probing /usr/lib/purple-2/liboscar.so
(12:48:45) plugins: /usr/lib/purple-2/liboscar.so is not usable because the 'purple_init_plugin' symbol could not be found.  Does the plugin call the PURPLE_INIT_PLUGIN() macro?
(12:48:45) plugins: probing /usr/lib/purple-2/idle.so
(12:48:45) plugins: probing /usr/lib/purple-2/autoaccept.so
(12:48:45) plugins: probing /usr/lib/purple-2/statenotify.so
(12:48:45) plugins: probing /usr/lib/purple-2/libirc.so
(12:48:45) plugins: probing /usr/lib/purple-2/libxmpp.so
(12:48:45) util: Reading file xmpp-caps.xml from directory /root/.purple
(12:48:45) util: File /root/.purple/xmpp-caps.xml does not exist (this is not necessarily an error)
(12:48:45) jabber: creating hash tables for data objects
(12:48:45) plugins: probing /usr/lib/purple-2/ssl.so
(12:48:45) plugins: probing /usr/lib/purple-2/libjabber.so
(12:48:45) plugins: /usr/lib/purple-2/libjabber.so is not usable because the 'purple_init_plugin' symbol could not be found.  Does the plugin call the PURPLE_INIT_PLUGIN() macro?
(12:48:45) plugins: probing /usr/lib/purple-2/joinpart.so
(12:48:45) plugins: probing /usr/lib/purple-2/libyahoojp.so
(12:48:45) plugins: probing /usr/lib/purple-2/buddynote.so
(12:48:45) plugins: probing /usr/lib/purple-2/libmsn.so
(12:48:45) plugins: probing /usr/lib/purple-2/offlinemsg.so
(12:48:45) plugins: probing /usr/lib/purple-2/tcl.so
(12:48:45) plugins: /usr/lib/purple-2/tcl.so is not loadable: libtcl8.4.so.0: cannot open shared object file: No such file or directory
(12:48:45) plugins: probing /usr/lib/purple-2/libgg.so
(12:48:45) plugins: /usr/lib/purple-2/libgg.so is not loadable: libgadu.so.3: cannot open shared object file: No such file or directory
(12:48:45) plugins: probing /usr/lib/purple-2/dbus-example.so
(12:48:45) plugins: probing /usr/lib/purple-2/libsilcpurple.so
(12:48:45) plugins: /usr/lib/purple-2/libsilcpurple.so is not loadable: libsilcclient-1.1.so.3: cannot open shared object file: No such file or directory
(12:48:45) plugins: probing /usr/lib/purple-2/libqq.so
(12:48:45) plugins: probing /usr/lib/purple-2/libsametime.so
(12:48:45) plugins: /usr/lib/purple-2/libsametime.so is not loadable: libmeanwhile.so.1: cannot open shared object file: No such file or directory
(12:48:45) plugins: probing /usr/lib/purple-2/libmxit.so
(12:48:45) prpl-loubserp-mxit: Loading MXit libPurple plugin...
(12:48:45) plugins: probing /usr/lib/purple-2/perl.so
(12:48:45) plugins: probing /usr/lib/purple-2/libbonjour.so
(12:48:45) plugins: probing /usr/lib/purple-2/libymsg.so
(12:48:45) plugins: /usr/lib/purple-2/libymsg.so is not usable because the 'purple_init_plugin' symbol could not be found.  Does the plugin call the PURPLE_INIT_PLUGIN() macro?
(12:48:45) plugins: probing /usr/lib/purple-2/libicq.so
(12:48:45) plugins: probing /usr/lib/purple-2/libnovell.so
(12:48:45) plugins: probing /usr/lib/purple-2/libsimple.so
(12:48:45) plugins: probing /usr/lib/purple-2/libyahoo.so

Думаю нужны libnss3.so, libtcl8.4.so.0
« Последнее редактирование: 31 Май 2010, 10:53:32 от lohmat »

Оффлайн Lego

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 898
  • Репутация: +60/-0
Re: Софт для LupuRus
« Ответ #5 : 31 Май 2010, 10:31:49 »
http://packages.ubuntu.com/lucid/openssl Попробуй отсюда чего, просто дебами скачай и поставь. Может оно?
AMD Phenom 9500 Quad-Core, GF-8600, 2gb RAM
Asus Eee PC-901 (Intel Atom N270, 1Gb RAM, 12Gb SSD)
Puppyrus-13.12-xfce-4.12

Оффлайн Lego

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 898
  • Репутация: +60/-0
Re: Софт для LupuRus
« Ответ #6 : 31 Май 2010, 11:23:53 »
2lohmat, переделал я чуток Pidgin, попробуй.
http://narod.ru/disk/21337149000/pidgin-2.6.6.pet.html
AMD Phenom 9500 Quad-Core, GF-8600, 2gb RAM
Asus Eee PC-901 (Intel Atom N270, 1Gb RAM, 12Gb SSD)
Puppyrus-13.12-xfce-4.12

Оффлайн lohmat

  • Пользователь
  • **
  • Сообщений: 29
  • Репутация: +0/-0
Re: Софт для LupuRus
« Ответ #7 : 31 Май 2010, 13:02:17 »
2lohmat, переделал я чуток Pidgin, попробуй.
http://narod.ru/disk/21337149000/pidgin-2.6.6.pet.html

о-о-о, теперь GT работает и иконка в меню появилась(раньше только название было), спасибо!  ;D

а djvu и bluetooth кто-нибудь запускал?

Оффлайн Lego

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 898
  • Репутация: +60/-0
Re: Софт для LupuRus
« Ответ #8 : 31 Май 2010, 13:08:28 »
Дежавьюер я попробую собрать, точнее собрал уже, из меню не хочет запускаться, как только победю :) - выложу. А блютуза у меня нету... Не с чем опыты ставить ;D

P.S. Ссылка на DjView4 в первом посте.
« Последнее редактирование: 31 Май 2010, 13:37:26 от Lego »
AMD Phenom 9500 Quad-Core, GF-8600, 2gb RAM
Asus Eee PC-901 (Intel Atom N270, 1Gb RAM, 12Gb SSD)
Puppyrus-13.12-xfce-4.12

Оффлайн lohmat

  • Пользователь
  • **
  • Сообщений: 29
  • Репутация: +0/-0
Re: Софт для LupuRus
« Ответ #9 : 01 Июнь 2010, 07:43:51 »
Lego, закинул следующие пакеты, собранные тобой в sfs :
djview4.pet
gimp-2.6.8.pet
pidgin-2.6.6.pet
qmmp-0.3.1.pet
QT4.pet
vlc-1.0.6.pet

Изменил sfs: вместо qutim добавил pidgin - он работает с GT.
qt4_and_apps.sfs - 42.3mb


« Последнее редактирование: 03 Июнь 2010, 17:48:28 от lohmat »

Оффлайн suIks

  • Пользователь
  • **
  • Сообщений: 99
  • Репутация: +3/-0
Re: Софт для LupuRus
« Ответ #10 : 03 Июнь 2010, 21:09:25 »
супер!
нет слов, спасибо!
все работает, а главное понятно под чем собиралось.

Оффлайн Lego

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 898
  • Репутация: +60/-0
Re: Софт для LupuRus
« Ответ #11 : 04 Июнь 2010, 02:27:33 »
Едем дальше.
Audacious-2.3. Аудиопроигрыватель, в представлении вряд-ли нуждается.
http://narod.ru/disk/21499410000/audacious2.pet.html
Русифицированный Firefox-3.6.3 ( Из менеджера пакетов Quickpet)
http://narod.ru/disk/21501093000/Firefox-3.6.3-Lucid_ru.pet.html

« Последнее редактирование: 04 Июнь 2010, 07:24:31 от Lego »
AMD Phenom 9500 Quad-Core, GF-8600, 2gb RAM
Asus Eee PC-901 (Intel Atom N270, 1Gb RAM, 12Gb SSD)
Puppyrus-13.12-xfce-4.12

Оффлайн bit777

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 1037
  • Репутация: +127/-0
Re: Софт для LupuRus
« Ответ #12 : 04 Июнь 2010, 02:30:08 »
Добавим еще и последний wine http://puppyrus.org/pub/%23users/bit777/sfs/Wine-1.2.rc1-sfs4.sfs

Оффлайн DdShurick

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 6088
  • Репутация: +156/-0
  • Старый чайник
Re: Софт для LupuRus
« Ответ #13 : 04 Июнь 2010, 10:39:11 »
 apt-get. Пакеты не устанавливает, но исправно выкачивает со всеми зависимостями в /var/cache/apt/archives/, откуда их можно установить одним кликом мышью.
Моноблок Lenovo IdeaCentre c200 (Intel Atom D525, Intel GMA 3150)
Netbook Acer 722 c6ckk (AMD C-50 Ontario, Radeon HD 6250)
Nettop Asus Eee Box PC B202 (Intel Atom N270, intel GMA 950)
Nettop Asus Eee Box PC EB1007 (Intel Atom D425, Intel GMA 3150)

Оффлайн DdShurick

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 6088
  • Репутация: +156/-0
  • Старый чайник
Re: Софт для LupuRus
« Ответ #14 : 06 Июнь 2010, 09:32:49 »
 Firefox-3.6.3 (en), собрано при помощи apt-get.
Моноблок Lenovo IdeaCentre c200 (Intel Atom D525, Intel GMA 3150)
Netbook Acer 722 c6ckk (AMD C-50 Ontario, Radeon HD 6250)
Nettop Asus Eee Box PC B202 (Intel Atom N270, intel GMA 950)
Nettop Asus Eee Box PC EB1007 (Intel Atom D425, Intel GMA 3150)